HDF: hdf/src/crle_priv.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
crle_priv.h File Reference
`#include "hdf_priv.h"`

## Data Structures
struct | comp_coder_rle_info_t

## Macros
#define | RLE_BUF_SIZE 128
#define | RLE_NIL (-1)
#define | RLE_MIN_RUN 3
#define | RLE_MAX_RUN (RLE_BUF_SIZE + RLE_MIN_RUN - 1)
#define | RLE_MIN_MIX 1

## Functions
int32 | HCPcrle_stread (accrec_t *rec)
int32 | HCPcrle_stwrite (accrec_t *rec)
int32 | HCPcrle_seek (accrec_t *access_rec, int32 offset, int origin)
int32 | HCPcrle_inquire (accrec_t *access_rec, int32 *pfile_id, uint16 *ptag, uint16 *pref, int32 *plength, int32 *poffset, int32 *pposn, int16 *paccess, int16 *pspecial)
int32 | HCPcrle_read (accrec_t *access_rec, int32 length, void *data)
int32 | HCPcrle_write (accrec_t *access_rec, int32 length, const void *data)
int | HCPcrle_endaccess (accrec_t *access_rec)

## Variables
funclist_t | crle_funcs

## Macro Definition Documentation

## ◆ RLE_BUF_SIZE

#define RLE_BUF_SIZE 128

## ◆ RLE_MAX_RUN

#define RLE_MAX_RUN (RLE_BUF_SIZE + RLE_MIN_RUN - 1)

## ◆ RLE_MIN_MIX

#define RLE_MIN_MIX 1

## ◆ RLE_MIN_RUN

#define RLE_MIN_RUN 3

## ◆ RLE_NIL

#define RLE_NIL (-1)

## Function Documentation

## ◆ HCPcrle_endaccess()

int HCPcrle_endaccess | ( | accrec_t * | access_rec | ) |
| extern

## ◆ HCPcrle_inquire()

int32 HCPcrle_inquire | ( | accrec_t * | access_rec,
|  | int32 * | pfile_id,
|  | uint16 * | ptag,
|  | uint16 * | pref,
|  | int32 * | plength,
|  | int32 * | poffset,
|  | int32 * | pposn,
|  | int16 * | paccess,
|  | int16 * | pspecial )
| extern

## ◆ HCPcrle_read()

int32 HCPcrle_read | ( | accrec_t * | access_rec,
|  | int32 | length,
|  | void * | data )
| extern

## ◆ HCPcrle_seek()

int32 HCPcrle_seek | ( | accrec_t * | access_rec,
|  | int32 | offset,
|  | int | origin )
| extern

## ◆ HCPcrle_stread()

int32 HCPcrle_stread | ( | accrec_t * | rec | ) |
| extern

## ◆ HCPcrle_stwrite()

int32 HCPcrle_stwrite | ( | accrec_t * | rec | ) |
| extern

## ◆ HCPcrle_write()

int32 HCPcrle_write | ( | accrec_t * | access_rec,
|  | int32 | length,
|  | const void * | data )
| extern

## Variable Documentation

## ◆ crle_funcs

funclist_t crle_funcs
| extern